{
    "swagger": "2.0",
    "info": {
        "title": "oc-scheduler",
        "description": "Manage workflows booking\n",
        "version": "1.0.0",
        "termsOfService": "http://cloud.o-forge.io/",
        "contact": {
            "email": "admin@o-cloud.io"
        },
        "license": {
            "name": "MIT",
            "url": "https://opensource.org/license/mit"
        }
    },
    "basePath": "/oc/",
    "paths": {
        "/": {
            "get": {
                "tags": [
                    "oc-scheduler/controllersWorkflowExecutionController"
                ],
                "description": "find workflow by workflowid\n\u003cbr\u003e",
                "operationId": "WorkflowExecutionController.GetAll",
                "responses": {
                    "200": {
                        "description": "{workflow} models.workflow"
                    }
                }
            }
        },
        "/search/{start_date}/{end_date}": {
            "get": {
                "tags": [
                    "oc-scheduler/controllersWorkflowExecutionController"
                ],
                "description": "search workspace\n\u003cbr\u003e",
                "operationId": "WorkflowExecutionController.Search",
                "parameters": [
                    {
                        "in": "path",
                        "name": "start_date",
                        "description": "the word search you want to get",
                        "required": true,
                        "type": "string"
                    },
                    {
                        "in": "path",
                        "name": "end_date",
                        "description": "the word search you want to get",
                        "required": true,
                        "type": "string"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{workspace} models.workspace"
                    }
                }
            }
        },
        "/version/": {
            "get": {
                "tags": [
                    "version"
                ],
                "description": "get version\n\u003cbr\u003e",
                "operationId": "VersionController.GetAll",
                "responses": {
                    "200": {
                        "description": ""
                    }
                }
            }
        },
        "/version/status": {
            "get": {
                "tags": [
                    "version"
                ],
                "description": "get status\n\u003cbr\u003e",
                "operationId": "VersionController.Status",
                "responses": {
                    "200": {
                        "description": ""
                    }
                }
            }
        },
        "/{id}": {
            "get": {
                "tags": [
                    "oc-scheduler/controllersWorkflowExecutionController"
                ],
                "description": "find workflow by workflowid\n\u003cbr\u003e",
                "operationId": "WorkflowExecutionController.Get",
                "parameters": [
                    {
                        "in": "path",
                        "name": "id",
                        "description": "the workflowid you want to get",
                        "required": true,
                        "type": "string"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{workflow} models.workflow"
                    }
                }
            }
        }
    },
    "tags": [
        {
            "name": "oc-scheduler/controllersWorkflowExecutionController",
            "description": "Operations about workflow\n"
        },
        {
            "name": "version",
            "description": "VersionController operations for Version\n"
        }
    ]
}